LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Server.DebugM

Contents

- Internal operations

Description

Debug output for requests and responses.

Synopsis

- debugResponse :: MonadServer m => FactionId -> Response -> m ()
- debugRequestAI :: MonadServer m => ActorId -> m ()
- debugRequestUI :: MonadServer m => ActorId -> m ()
- debugShow :: Show a => a -> Text
- debugPretty :: MonadServer m => FactionId -> Text -> UpdAtomic -> m ()
- debugPlain :: MonadServer m => FactionId -> Text -> UpdAtomic -> m ()
- data DebugAid = DebugAid {
  - label :: Text
  - aid :: ActorId
  - faction :: FactionId
  - lid :: LevelId
  - bHP :: Int64
  - btime :: Maybe Time
  - btrTime :: Maybe Time
  - time :: Time
  }
- debugAid :: MonadServer m => ActorId -> Text -> m Text

# Documentation

debugResponse :: MonadServer m => FactionId -> Response -> m () Source #

debugRequestAI :: MonadServer m => ActorId -> m () Source #

debugRequestUI :: MonadServer m => ActorId -> m () Source #

# Internal operations

debugShow :: Show a => a -> Text Source #

debugPretty :: MonadServer m => FactionId -> Text -> UpdAtomic -> m () Source #

debugPlain :: MonadServer m => FactionId -> Text -> UpdAtomic -> m () Source #

data DebugAid Source #

Constructors

DebugAid |

Fields

- label :: Text
- aid :: ActorId
- faction :: FactionId
- lid :: LevelId
- bHP :: Int64
- btime :: Maybe Time
- btrTime :: Maybe Time
- time :: Time

#### Instances

Instances details

Show DebugAid Source # |
Instance details Defined in Game.LambdaHack.Server.DebugM Methods showsPrec :: Int -> DebugAid -> ShowS Source # show :: DebugAid -> String Source # showList :: [DebugAid] -> ShowS Source #

debugAid :: MonadServer m => ActorId -> Text -> m Text Source #